import { ExportOptions, LayerField, LayerQueryOptions, LayerStatisticsOptions, LayerGeometryType, LayerService } from './layer-service';
export declare class IGSMapImageSubLayerService extends LayerService {
    layer: any;
    parentLayer: any;
    igsFeatureLayerServiceV1: any;
    constructor(layer: any);
    getGeometryType(): Promise<LayerGeometryType>;
    getFields(): Promise<LayerField[]>;
    getMinMaxValue(field: string): Promise<{
        min: number;
        max: number;
    }>;
    getUniqueValues(field: string, options?: LayerQueryOptions): Promise<any[]>;
    queryFeaturesCount(options: LayerQueryOptions): Promise<number>;
    queryFeatures(options: LayerQueryOptions): Promise<any>;
    queryStatistics(options: LayerStatisticsOptions): Promise<any>;
    exportAttributes(queryOptions: LayerQueryOptions, exportOptions: ExportOptions): Promise<any>;
    _queryFeaturesByMapServer(options: any): Promise<any>;
    _queryStatisticsByMapServer(options: any): Promise<any>;
    _createIGSFeatureLayerService(): void;
    /**
     * 转换查询选项
     *
     * @param options 查询选项
     * @returns 转换后的查询选项
     */
    _convertQueryOptions(options: LayerQueryOptions): {
        layerId: any;
        geometry: object;
        distance: number;
        returnCountOnly: boolean;
        where: string;
        outfields: string;
        objectIds: string;
        resultOffset: number;
        resultRecordCount: number;
    };
}
